Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# Module Class Reference

Base class for all modules. More...

`#include <Module.h>`

Inheritance diagram for Module:

[legend]
Collaboration diagram for Module:

[legend]
List of all members.

## Public Member Functions
virtual void | execute ()
| When doing a debug build, we save the time, when we entered the module, so we can find endless loops.
virtual bool | handleMessage (InMessage &message)
| Called from a MessageQueue to distribute messages.
virtual | ~Module ()
## Public Attributes
unsigned long | entryTime
| Used for finding endless loops.

## Detailed Description

Base class for all modules.

Author:
  Matthias Jüngel

  Martin Lötzsch

Definition at line 24 of file Module.h.

## Constructor & Destructor Documentation

virtual Module::~Module | ( |  | ) | `[inline, virtual]`

| Definition at line 49 of file Module.h.

## Member Function Documentation

virtual void Module::execute | ( |  | ) | `[inline, virtual]`

| When doing a debug build, we save the time, when we entered the module, so we can find endless loops. Reimplemented in GT2005BallLocator, GTCamBallLocator, GT2005BehaviorControl, MotionRatingBehaviorControl, SLBenchmark, Xabsl2BehaviorControlAgentInterface, GT2005CollisionDetector, ColorTable32KMod, ColorTable64Mod, GetupEngine, GTCamRaw, GT2005HeadControl, Xabsl2HeadControlAgentInterface, GT2005ImageProcessor, SlamImageProcessor, VLCImageProcessor, GT2005LEDControl, DebugMotionControl, GT2005MotionControl, GT2005ObstaclesLocator, GTCamObstaclesLocator, GTCamPlayersLocator, GT2005RobotStateDetector, ComboLocator, GT2004SelfLocator, GT2005SelfLocator, GT2005StableSelfLocator, GTCamSelfLocator, OdometrySelfLocator, SlamSelfLocator, GT2005SensorDataProcessor, GT2005SoundControl, SpecialActions, AutoShutter, BarCodeReader, ChallengeSpecialVision, DefaultSpecialVision, ImageBrightnessEstimator, GT2005TeamBallLocator, and WalkingEngine. Definition at line 34 of file Module.h. References entryTime, and SystemCall::getCurrentSystemTime(). Referenced by ModuleSelector::execute(), ComboLocator::execute(), and Cognition::main().

Here is the call graph for this function:

virtual bool Module::handleMessage | ( | InMessage & | message | ) | `[inline, virtual]`

  | Called from a MessageQueue to distribute messages. Use message.getMessageID to decide if the message is relavant for the MesssageHandler derivate. Use message.bin, message.text or message.config as In streams to get the data from. Parameters:
  message | The message that can be read.
Returns: true if the message was read (handled). Implements MessageHandler. Reimplemented in GT2005BallLocator, GTCamBallLocator, GT2005BehaviorControl, MotionRatingBehaviorControl, Xabsl2BehaviorControl, Xabsl2BehaviorControlAgentInterface, GTCamRaw, GT2005HeadControl, Xabsl2HeadControl, Xabsl2HeadControlAgentInterface, GT2005ImageProcessor, SlamImageProcessor, VLCImageProcessor, DebugMotionControl, GT2005MotionControl, GT2005ObstaclesLocator, GTCamObstaclesLocator, GTCamPlayersLocator, ComboLocator, GT2004SelfLocator, GT2005SelfLocator, GT2005StableSelfLocator, GTCamSelfLocator, SlamSelfLocator, GT2003MotionNetSpecialActions, GT2005TeamBallLocator, GT2004WalkingEngine, GT2005WalkingEngine, InvKinWalkingEngine, ParamInvKinWalkingEngine, ParamRearOnlyInvKinWalkingEngine, and WalkingEngineSelector. Definition at line 47 of file Module.h. Referenced by ModuleSelector::handleMessage(), and GT2005MotionControl::handleMessage().

## Member Data Documentation

unsigned long Module::entryTime

| Used for finding endless loops. Definition at line 55 of file Module.h. Referenced by execute().

The documentation for this class was generated from the following file:

- Tools/Module/Module.h